Package org.eclipse.lemminx.settings

## Class XMLHoverSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.XMLHoverSettings

    public class XMLHoverSettings
    extends Object

A wrapper around LSP `HoverCapabilities`.

### Constructor Summary

Constructors
`XMLHoverSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.lsp4j.HoverCapabilities` `getCapabilities()`
`void` `setCapabilities​(org.eclipse.lsp4j.HoverCapabilities capabilities)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLHoverSettings

    public XMLHoverSettings()

### Method Detail

#### setCapabilities

    public void setCapabilities​(org.eclipse.lsp4j.HoverCapabilities capabilities)

#### getCapabilities

    public org.eclipse.lsp4j.HoverCapabilities getCapabilities()